package com.lz.modules.equipment.dao;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-24
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.equipment.entity.EquipmentFlowRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface EquipmentFlowRecordMapper extends BaseMapper<EquipmentFlowRecord> {


	EquipmentFlowRecord selectEquipmentFlowRecordById(@Param("id") Long id);


	Long insertEquipmentFlowRecord(EquipmentFlowRecord equipmentFlowRecord);


	int updateEquipmentFlowRecordById(EquipmentFlowRecord equipmentFlowRecord);


	int updateCoverEquipmentFlowRecordById(EquipmentFlowRecord equipmentFlowRecord);


	int deleteEquipmentFlowRecordById(@Param("id") Long id);


}